<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>ろくまる農園</title>
</head>

<body>
    <div style="height:100vh;display:flex;justify-content:center;align-items:center" ;>
        <div>
            <?php
            require_once('../common/common.php');

            $onamae = filter_input(INPUT_POST, 'onamae');
            $email = filter_input(INPUT_POST, 'email');
            $postal1 = filter_input(INPUT_POST, 'postal1');
            $postal2 = filter_input(INPUT_POST, 'postal2');
            $address = filter_input(INPUT_POST, 'address');
            $tel = filter_input(INPUT_POST, 'tel');
            $chumon = filter_input(INPUT_POST, 'chumon');
            $pass = filter_input(INPUT_POST, 'pass');
            $pass2 = filter_input(INPUT_POST, 'pass2');
            $danjo = filter_input(INPUT_POST, 'danjo');
            $birth = filter_input(INPUT_POST, 'birth');

            $okflg = true;

            if ($onamae == '') {
                echo '<p>お名前が入力されていません。</p>';
                $okflg = false;
            } else {
                echo '<p>お名前</p>';
                echo escape($onamae);
            }
            if (preg_match('/\A[\w\-\.]+\@[\w\-\.]+\.([a-z]+)\z/', $email) == 0) {
                echo '<p>メールアドレスを正確に入力してください。</p>';
                $okflg = false;
            } else {
                echo '<p>メールアドレス</p>';
                echo escape($email);
            }
            if (preg_match('/\A[0-9]+\z/', $postal1) == 0) {
                echo '<p>郵便番号は半角数字で入力してください。</p>';
                $okflg = false;
            } else {
                echo '<p>郵便番号</p>';
                echo escape($postal1) . '-' . escape($postal2);
            }
            if (preg_match('/\A[0-9]+\z/', $postal2) == 0) {
                echo '<p>郵便番号は半角数字で入力してください。</p>';
                $okflg = false;
            }
            if ($address == '') {
                echo '住所が入力されていません。';
                $okflg = false;
            } else {
                echo '<p>住所</p>';
                echo escape($address);
            }
            if (preg_match('/\A\d{2,5}-?\d{2,5}-?\d{4,5}\z/', $tel) == 0) {
                echo '<p>電話番号を正確に入力してください。</p>';
                $okflg = false;
            } else {
                echo '<p>電話番号</p>';
                //　変更点　会員登録するかしないかで<br>タグの個数を変える
                if ($chumon != 'chumontouroku') {
                    echo escape($tel) . '<br><br>';
                } else {
                    echo escape($tel) . '<br>';
                }
            }

            if ($chumon == 'chumontouroku') {
                if ($pass == '') {
                    echo '<p>パスワードが入力されていません。</p>';
                    $okflg = false;
                }
                if ($pass != $pass2) {
                    echo '<p>パスワードが一致しません。</p>';
                    $okflg = false;
                }
                echo '<p>性別</p>';
                if ($danjo == 'dan') {
                    echo '<p>男性</p>';
                } else {
                    echo '<p>女性</p>';
                }
                echo '<p>年齢</p>';
                //変更点　年齢のプルダウンメニューの項目で10代以下と80代以上を項目にしたので、switch文で数字以下の文字列を分岐させる
                switch ($birth) {
                    case '10':
                        echo $birth . '代以下';
                        break;
                    case '80':
                        echo $birth . '代以上';
                        break;
                    default:
                        echo $birth . '代';
                        break;
                }
                echo '<br><br>';
            }
            if ($okflg == true) {
                echo '<form method="POST" action="shop_form_done.php">';
                echo '<input type="hidden" name="onamae" value="' . escape($onamae) . '">';
                echo '<input type="hidden" name="email" value="' . escape($email) . '">';
                echo '<input type="hidden" name="postal1" value="' . escape($postal1) . '">';
                echo '<input type="hidden" name="postal2" value="' . escape($postal2) . '">';
                echo '<input type="hidden" name="address" value="' . escape($address) . '">';
                echo '<input type="hidden" name="tel" value="' . escape($tel) . '">';
                echo '<input type="hidden" name="chumon" value="' . escape($chumon) . '">';
                echo '<input type="hidden" name="pass" value="' . escape($pass) . '">';
                echo '<input type="hidden" name="danjo" value="' . escape($danjo) . '">';
                echo '<input type="hidden" name="birth" value="' . escape($birth) . '">';
                echo '<input type="button" onclick="history.back()" value="戻る">&emsp;';
                echo '<input type="submit" value="OK">';
                echo '</form>';
            } else {
                echo '<form>';
                echo '<input type="button" onclick="history.back()" value="戻る">';
                echo '</form>';
            }
            ?>
        </div>
    </div>
</body>

</html>
