<?php
session_start();
session_regenerate_id(true);
if (isset($_SESSION['member_login']) == false) {
    echo '<div style="display:flex;justify-content:center">' . '<div>';
    echo '<b>ようこそゲスト様&emsp;</b>';
    echo '<b><a href="member_login.html">会員ログイン</a></b>';
    echo '</div>' . '</div>';
} else {
    echo '<div style="display:flex;justify-content:center">' . '<div>';
    echo '<b>ようこそ' . $_SESSION['member_name'] . '様&emsp;</b>';
    echo '<b><a href="member_logout.php">ログアウト</a></b>';
    echo '</div>' . '</div>';
}
?>

<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>ろくまる農園</title>
</head>

<body>
    <div style="height:100vh;display:flex;justify-content:center;align-items:center" ;>
        <div>
            <?php
            try {
                //変更点　$_POST['']からfilter_input(INPUT_POST, '')に
                $pro_code = filter_input(INPUT_GET, 'procode');

                $dsn = 'mysql:dbname=shop;host=localhost;charset=utf8';
                $user = 'root';
                $password = '';
                $dbh = new PDO($dsn, $user, $password);
                $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                $sql = 'SELECT name,price,gazou FROM mst_product WHERE code=?';
                $stmt = $dbh->prepare($sql);
                $data[] = $pro_code;
                $stmt->execute($data);

                $rec = $stmt->fetch(PDO::FETCH_ASSOC);
                $pro_name = $rec['name'];
                $pro_price = $rec['price'];
                $pro_gazou_name = $rec['gazou'];

                $dbh = null;

                if ($pro_gazou_name == '') {
                    $disp_gazou = '';
                } else {
                    $disp_gazou = '<img src="../product/gazou/' . $pro_gazou_name . '">';
                }
                echo '<b><a href="shop_cartin.php?procode=' . $pro_code . '">カートに入れる</a></b><br>';
            } catch (Exception $e) {
                //変更点　exit文で文字列を指定
                //echo 'ただいま障害により大変ご迷惑をお掛けしております。';
                exit('ただいま障害により大変ご迷惑をお掛けしております。');
            }

            //ヒアドキュメントを使用
            /*
    echo <<<EOM
<h3>スタッフ修正</h3>
<p>スタッフコード</p>
{$pro_code}
<br>
<br>
<form method="post" action="pro_edit_check.php">
<input type="hidden" name="code" value="{$pro_code}">
<p>スタッフ名</p>
        <input type="text" name="name" style="width:200px" value="{$pro_name}">
<p>パスワードを入力してください。</p>
        <input type="password" name="pass" style="width:200px">
<p>パスワードをもう一度入力してください。</p>
        <input type="password" name="pass2" style="width:200px">
<br>
        <input type="button" onclick="history.back()" value="戻る">
        <input type="submit" value="OK">
    </form>

EOM;
*/
            ?>

            <!--HTML内にPHPを埋め込み -->
            <h2>商品情報参照</h2>
            <p>商品コード</p>
            <?php echo $pro_code; ?>
            <p>商品名</p>
            <?php echo $pro_name; ?>
            <p>価格</p>
            <?php echo $pro_price . '円'; ?>
            <br>
            <?php if ($pro_gazou_name == '') {
                echo '<p>画像はありません。</P>'; //変更点　画像がない場合にその旨を表示
            } else {
                echo $disp_gazou;
            }
            ?>
            <br>
            <form>
                <input type="button" onclick="history.back()" value="戻る">
            </form>
        </div>
    </div>
</body>

</html>
