<?php
session_start();
session_regenerate_id(true);
if (isset($_SESSION['login']) == false) {
    echo '<div style="height:100vh;display:flex;justify-content:center;align-items:center">' . '<div>';
    echo '<p>ログインされていません。</p>';
    echo '<a href="../staff_login/staff_login.html">ログイン画面へ</a>';
    echo '</div>' . '</div>';
    exit();
} else {
    echo '<div style="display:flex;justify-content:center">' . '<div>';
    echo $_SESSION['staff_name'] . 'さんログイン中です。';
    echo '</div>' . '</div>';
}
?>

<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>ろくまる農園</title>
</head>

<body>
    <div style="height:100vh;display:flex;justify-content:center;align-items:center" ;>
        <div>
            <?php
            require_once('../common/common.php');
            //変更点　$_POST['']からfilter_input(INPUT_POST, '')に
            $staff_name = filter_input(INPUT_POST, 'name');
            $staff_pass = filter_input(INPUT_POST, 'pass');
            $staff_pass2 = filter_input(INPUT_POST, 'pass2');

            //$staff_name = htmlspecialchars($staff_name, ENT_QUOTES, 'UTF-8');
            //変更点　入力値を表示しない項目については、エスケープ命令はいらない
            /*$staff_pass = htmlspecialchars($staff_pass, ENT_QUOTES, 'UTF-8');
              $staff_pass2 = htmlspecialchars($staff_pass2, ENT_QUOTES, 'UTF-8');*/

            if ($staff_name == '') {
                echo '<P>スタッフ名が入力されていません。</P>';
            } else {
                echo 'スタッフ名:' . escape($staff_name); //変更点　ピリオドで文字列と変数を連結
                echo '<br>';
            }
            if ($staff_pass == '') {
                echo '<p>パスワードが入力されていません。</p>';
            }
            if ($staff_pass != $staff_pass2) {
                echo '<p>パスワードが一致しません。</p>';
            }

            if ($staff_name == '' || $staff_pass == '' || $staff_pass != $staff_pass2) {
                echo '<form>';
                echo '<input type="button"onclick="history.back()"value="戻る">';
                echo '</form>';
            } else {
                //変更点 パスワードの暗号化方法をmd5()からpassword_hash()に
                $staff_pass = password_hash($staff_pass, PASSWORD_DEFAULT);
                echo '<form method="post"action="staff_add_done.php">';
                //inputタグのhiddenでもXSSを実行される可能性があるためXSS対策
                echo '<input type="hidden"name="name"value="' . escape($staff_name) . '">';
                echo '<input type="hidden"name="pass"value="' . escape($staff_pass) . '">';
                echo '<br>';
                echo '<input type="button" onclick="history.back()" value="戻る">';
                echo '<input type="submit" value="OK">';
                echo '</form>';
            }
            ?>
</body>
</div>
</div>

</html>
