<?php
session_start();
session_regenerate_id(true);
if (isset($_SESSION['login']) == false) {
    echo '<div style="height:100vh;display:flex;justify-content:center;align-items:center">' . '<div>';
    echo '<p>ログインされていません。</p>';
    echo '<a href="../staff_login/staff_login.html">ログイン画面へ</a>';
    echo '</div>' . '</div>';
    exit();
} else {
    echo '<div style="display:flex;justify-content:center">' . '<div>';
    echo $_SESSION['staff_name'] . 'さんログイン中です。';
    echo '</div>' . '</div>';
}
?>

<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>ろくまる農園</title>
</head>

<body>
    <div style="height:100vh;display:flex;justify-content:center;align-items:center" ;>
        <div>
            <?php
            require_once('../common/common.php');
            //変更点　$_POST['']からfilter_input(INPUT_POST, '')に
            $pro_code = filter_input(INPUT_POST, 'code');
            $pro_name = filter_input(INPUT_POST, 'name');
            $pro_price = filter_input(INPUT_POST, 'price');
            $pro_gazou_name_old = filter_input(INPUT_POST, 'gazou_name_old');
            $pro_gazou = $_FILES['gazou'];

            //$pro_code = htmlspecialchars($pro_code, ENT_QUOTES, 'UTF-8');
            //$pro_name = htmlspecialchars($pro_name, ENT_QUOTES, 'UTF-8');
            //変更点　入力値を表示しない項目については、エスケープ命令はいらない
            //$pro_price = htmlspecialchars($pro_price, ENT_QUOTES, 'UTF-8');

            //変更点　ディレクトリトラバーサル対策
            $file_name = basename($pro_gazou['name']);

            //変更点　ファイル名に日付を追加し、かつ、ファイルを選択しなかった場合にはDBのgazouカラムに日付が挿入されない様にする
            if (is_uploaded_file($pro_gazou['tmp_name'])) {
                $save_file_name = date('YmdHis') . $pro_gazou['name'];
            } else {
                $save_file_name = $pro_gazou['name'];
            }

            if ($pro_name == '') {
                echo '<P>商品名が入力されていません。</P>';
            } else {
                echo '商品名:' . escape($pro_name) . '<br>'; //変更点　ピリオドで文字列と変数を連結
            }
            if (preg_match('/\A[0-9]+\z/', $pro_price) == 0) {
                echo '<p>価格をきちんと入力してください。</p>';
            } else {
                echo '価格:' . escape($pro_price) . '円<br>'; //変更点　ピリオドで文字列と変数を連結
            }
            //変更点　画像があるかどうかのチェック方法を変更
            if (is_uploaded_file($pro_gazou['tmp_name'])) {
                //変更点　画像のサイズのチェック方法を変更
                if ($pro_gazou['size'] > 1048576 || $pro_gazou['error'] == 2) {
                    echo '<p>画像が大ぎ過ぎます。ファイルサイズを1MB未満にしてください。</p>';
                } else {
                    //変更点　拡張子のチェックを追加
                    $allow_ext = ['jpg', 'jpeg', 'png', 'gif'];
                    $file_ext = pathinfo($file_name, PATHINFO_EXTENSION);
                    if (!in_array(strtolower($file_ext), $allow_ext)) {
                        echo '<p>決められた拡張子の画像ファイルを添付してください。</p>';
                    } else {
                        move_uploaded_file($pro_gazou['tmp_name'], './gazou/' . $save_file_name);
                        echo '<img src="./gazou/' . $save_file_name . '">';
                    }
                }
            } else {
                echo '<p>ファイルが選択されていません。</p>';
            }

            if ($pro_name == '' || preg_match('/\A[0-9]+\z/', $pro_price) == 0 || $pro_gazou['size'] > 1048576) {
                echo '<form>';
                echo '<input type="button" onclick="history.back()" value="戻る">';
                echo '</form>';
            } else {
                echo '<p>上記の様に変更します。</p>';
                echo '<form method="post"action="pro_edit_done.php">';
                echo '<input type="hidden"name="code"value="' . escape($pro_code) . '">';
                echo '<input type="hidden"name="name"value="' . escape($pro_name) . '">';
                echo '<input type="hidden"name="price"value="' . escape($pro_price) . '">';
                echo '<input type="hidden"name="gazou_name_old"value="' . $pro_gazou_name_old . '">';
                echo '<input type="hidden"name="gazou_name"value="' . $save_file_name . '">';
                echo '<br>';
                echo '<input type="button" onclick="history.back()" value="戻る">';
                echo '<input type="submit" value="OK">';
                echo '</form>';
            }

            ?>
        </div>
    </div>
</body>

</html>
