<?php
session_start();
session_regenerate_id(true);
if (isset($_SESSION['member_login']) == false) {
    echo '<div style="display:flex;justify-content:center">' . '<div>';
    echo '<b>ようこそゲスト様&emsp;</b>';
    echo '<b><a href="member_login.html">会員ログイン</a></b>';
    echo '</div>' . '</div>';
} else {
    echo '<div style="display:flex;justify-content:center">' . '<div>';
    echo '<b>ようこそ' . $_SESSION['member_name'] . '様&emsp;</b>';
    echo '<b><a href="member_logout.php">ログアウト</a></b>';
    echo '</div>' . '</div>';
}
?>

<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>ろくまる農園</title>
</head>

<body>
    <div style="height:100vh;display:flex;justify-content:center;align-items:center" ;>
        <div>
            <?php
            try {
                $dsn = 'mysql:dbname=shop;host=localhost;charset=utf8';
                $user = 'root';
                $password = '';
                $dbh = new PDO($dsn, $user, $password);
                $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                $sql = 'SELECT code,name,price FROM mst_product WHERE 1';
                $stmt = $dbh->prepare($sql);
                $stmt->execute();

                $dbh = null;

                echo '<h2>商品一覧</h2>';
                while (true) {
                    $rec = $stmt->fetch(PDO::FETCH_ASSOC);
                    if ($rec == false) {
                        break;
                    }
                    echo '<a href="shop_product.php?procode=' . $rec['code'] . '">';
                    echo $rec['name'] . '---' . $rec['price'] . '円' . '</a><br><br>';
                }
                echo '<a href="shop_cartlook.php">カートを見る</a><br>';
            } catch (Exception $e) {
                //変更点　exit文で文字列を指定、getMessage()でエラーメッセージを表示
                //echo 'ただいま障害により大変ご迷惑をお掛けしております。';
                echo $e->getMessage(); //エラーメッセージを表示させる
                exit('ただいま障害により大変ご迷惑をお掛けしております。');
            }
            ?>
        </div>
    </div>
</body>

</html>
