<?php
session_start();
session_regenerate_id(true);
if (isset($_SESSION['login']) == false) {
    echo '<div style="height:100vh;display:flex;justify-content:center;align-items:center">' . '<div>';
    echo '<p>ログインされていません。</p>';
    echo '<a href="../staff_login/staff_login.html">ログイン画面へ</a>';
    echo '</div>' . '</div>';
    exit();
} else {
    echo '<div style="display:flex;justify-content:center">' . '<div>';
    echo $_SESSION['staff_name'] . 'さんログイン中です。';
    echo '</div>' . '</div>';
}
?>

<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>ろくまる農園</title>
</head>

<body>
    <div style="height:100vh;display:flex;justify-content:center;align-items:center" ;>
        <div>
            <?php
            try {
                $dsn = 'mysql:dbname=shop;host=localhost;charset=utf8';
                $user = 'root';
                $password = '';
                $dbh = new PDO($dsn, $user, $password);
                $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                $sql = 'SELECT code,name FROM mst_staff WHERE 1';
                $stmt = $dbh->prepare($sql);
                $stmt->execute();

                $dbh = null;

                echo '<h2>スタッフ一覧</h2>';
                echo '<form method="post" action="staff_branch.php">';
                while (true) {
                    $rec = $stmt->fetch(PDO::FETCH_ASSOC);
                    if ($rec == false) {
                        break;
                    }
                    echo '<input type="radio" name="staffcode" value="' . $rec['code'] . '">';
                    echo $rec['name'] . '<br>' . '<br>';
                }
                echo '<input type="submit" name="disp" value="参照">';
                echo '<input type="submit" name="add" value="追加">';
                echo '<input type="submit" name="edit" value="修正">';
                echo '<input type="submit" name="delete" value="削除">';
                echo '</form>';
            } catch (Exception $e) {
                //変更点　exit文で文字列を指定、getMessage()でエラーメッセージを表示
                //echo 'ただいま障害により大変ご迷惑をお掛けしております。';
                echo $e->getMessage(); //エラーメッセージを表示させる
                exit('ただいま障害により大変ご迷惑をお掛けしております。');
            }
            ?>
            <br>
            <a href="../staff_login/staff_top.php">トップメニューへ</a>
        </div>
    </div>
</body>

</html>
